import { MigrationInterface, QueryRunner } from "typeorm";

export class data1669392941776 implements MigrationInterface {
    name = 'data1669392941776'

    public async up(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`
            ALTER TABLE "guild_setting"
            ADD "preserveDataOnGuildLeave" boolean NOT NULL DEFAULT false
        `);
    }

    public async down(queryRunner: QueryRunner): Promise<void> {
        await queryRunner.query(`
            ALTER TABLE "guild_setting" DROP COLUMN "preserveDataOnGuildLeave"
        `);
    }

}
